using System;
namespace ChuPiao.Common.Model
{
	/// <summary>
	/// 机器投注模式类型
	/// </summary>
	[Serializable]
	public class M_MacModeTypeEntity
	{
        public M_MacModeTypeEntity()
        { }
        #region Model
        private int _t_macmodeid;
        private int _t_macplayid;
        private string _t_macmodename = "";
        /// <summary>
        /// 投注模式ID
        /// </summary>
        public int T_MacModeId
        {
            set { _t_macmodeid = value; }
            get { return _t_macmodeid; }
        }
        /// <summary>
        /// 玩法ID
        /// </summary>
        public int T_MacPlayId
        {
            set { _t_macplayid = value; }
            get { return _t_macplayid; }
        }
        /// <summary>
        /// 投注模式名称
        /// </summary>
        public string T_MacModeName
        {
            set { _t_macmodename = value; }
            get { return _t_macmodename; }
        }
        #endregion Model

        #region ICloneable 成员

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        #endregion
       
    }
}

